local addonName, ZLAUTO = ...
local ZL = ZLAUTO.mainFrame
local GameTooltipShow = ZL.GameTooltipShow
ZL.updateList = {
    {
        updateVer = "V2.5.15",
        updateDate = "2026-7-6",
        updateContent = [[
1、优化拍卖窗口BIS标签逻辑；
2、增加套装兑换物品BIS判断标签；
3、拍卖窗口物品图标鼠标提示：增加职业专精BIS提示信息,
默认显示，可到设置——鼠标提示，取消勾选；
注：BIS装备数据来源wowhead和WCL，仅供参考。









|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.14",
        updateDate = "2026-7-4",
        updateContent = [[
1、拍卖物品名字前增加Bis提醒：当前职业-当前天赋-团队副本；
2、拾取BOSS物品后自动提醒是否开始拍卖；
3、修复进入新的孢陨幽境史诗副本时不提醒重置拍卖数据；
4、修复其它已知BUG；









|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.13",
        updateDate = "2026-7-2",
        updateContent = [[
1、就位确认物品分配提醒窗口优化：点就绪或未就绪时自动关闭提醒窗口；
2、就位确认物品分配提醒窗口增加：下次不再提醒开关，在设置-行为选项-其它选项可重新勾选；











|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.11",
        updateDate = "2026-7-1",
        updateContent = [[
就位确认时增加：
1、物品分配提醒；
2、支持RL直接修改分配方式；
3、支持直接修改专精拾取方式；











|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.10",
        updateDate = "2026-6-29",
        updateContent = [[
1、拍卖窗口物品种类为布甲、皮甲、锁甲或板甲时后面跟部位，如：布甲头、板甲腿；
2、优化非当前资料片拍卖物品：
没有是否适合当前专精弹窗提醒；
物品种类颜色统一为白色；
3、修复获取副本BOSS已过期击杀信息BUG（|cffffff00重要更新|r）；










|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.09",
        updateDate = "2026-6-27",
        updateContent = [[
1、优化拍卖物品是否适合当前专精逻辑；
2、拍卖窗口物品种类增加颜色区分：
|cffff0000红色|r：不可使用物品；
|cff00ff00绿色|r：当前专精可用；
|cff0000ff蓝色|r：其它专精可用；
|cffffff00黄色|r：装绑物品；
3、账单总览：BOSS名字前增加BOSS图片；
4、优化查询团队成员副本CD逻辑；











|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.08",
        updateDate = "2026-6-25",
        updateContent = [[
拍卖窗口优化：
1、套装兑换物品：鼠标移动到图标，会显示当前角色能兑换的套装；
2、套装兑换物品种类提示“垃圾”改成“套装"+对应部位，当前角色不能兑换的为红色字体；
3、物品种类提示为“其它”的改成“对应部位”，如：项链、戒指、饰品；











|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.07",
        updateDate = "2026-6-23",
        updateContent = [[
支持查看所有赛季团队成员副本CD；














|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.06",
        updateDate = "2026-6-22",
        updateContent = [[
|cffffde00增加系统全局快捷键功能：|r
ESC——选项——快捷键——AutoAuction[金团拍卖助手AA]

|cffffde00快捷键支持：|r
打开/关闭 拍卖窗口
打开/关闭 账单总览窗口
批量拍卖 待拍卖物品
通报 详细收支







|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.05",
        updateDate = "2026-6-19",
        updateContent = [[
增加查看史诗-弹性团队副本BOSS击杀信息功能
装插件后可以查看新BOSS腐沼是清白CD还是黑CD













|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.04",
        updateDate = "2026-6-18",
        updateContent = [[
1、适配12.0.7版本，增加："孢陨幽境"副本BOSS信息；
2、拾取记录窗口UI优化：每列行数根据分类智能化均匀排版，不会出现某一列超长情况；
3、检查副本CD支持不在团队或小队时查询自己信息；
4、修复在选择无补贴情况下，有时会计算团双BUG；










|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.03",
        updateDate = "2026-6-15",
        updateContent = [[
账单总览UI补贴配置优化：
 1、支持新建配置；
 2、支持删除配置;
 3、支持重命名；
 4、优化补贴逻辑；









|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.02",
        updateDate = "2026-6-12",
        updateContent = [[
优化一键交易：一键交易欠款或工资时可以直接跳过3秒倒数；
 
 
 
 









|cffffde00千川大舞台|r金团指定拍卖插件
|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.5.01",
        updateDate = "2026-6-10",
        updateContent = [[
账单总览窗口智能优化：
1、每列行数根据分类智能化均匀排版，不会出现某一列超长情况；
2、支持简单的一些拍卖行为；
3、支持直接修改竞标获胜人名字和金额；
4、支持手动添加、删除、修改收支；
5、支持选择补贴配置，修改补贴配置金额等；









|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.4.28",
        updateDate = "2026-6-7",
        updateContent = [[
1、增加：无法交易玩家不能使用快速拍卖；
2、修复：点击"待交易"按钮时偶尔出现报错；
3、增加：自主设置通报账单频率，防止通报速度过快有些消息被屏蔽；










|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.4.27",
        updateDate = "2026-6-3",
        updateContent = [[
1、修复账单窗口报错；
2、删除调试代码。











|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.4.26",
        updateDate = "2026-6-2",
        updateContent = [[
修复因加密信息提示的各种报错；











|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
}

local f = CreateFrame("Frame")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:SetScript("OnEvent", function (self, event)
    if event == "PLAYER_ENTERING_WORLD" then
        if not ZL.opt.updateVer or ZL.opt.updateVer ~= ZL.updateList[1].updateVer then
            if not ZL.UpdateHistoryFrame then ZL:CreateUpdateHistoryFrame() end
            ZL.UpdateHistoryFrame:Show()
        end
    end
end)

function ZL:CreateUpdateHistoryFrame()
    local UpdateHistoryFrame = CreateFrame("Frame", nil, UIParent, "BackdropTemplate")
    ZL.UpdateHistoryFrame = UpdateHistoryFrame
    UpdateHistoryFrame:SetSize(650, 400)
    UpdateHistoryFrame:SetPoint("CENTER", 0, 50)
    UpdateHistoryFrame:SetFrameStrata("DIALOG")
    UpdateHistoryFrame:SetToplevel(true)
    UpdateHistoryFrame:SetBackdrop({
        bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark",
        edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
        tile = true,
        tileSize = 32,
        edgeSize = 32,
        insets = { left = 11, right = 12, top = 12, bottom = 11 }
    })
    UpdateHistoryFrame:Hide()
    local label1 = UpdateHistoryFrame:CreateFontString(nil, "ARTWORK")
    label1:SetWidth(UpdateHistoryFrame:GetWidth()-40)
    label1:SetFont(GameFontNormal:GetFont(), 20)
    label1:SetPoint("TOP", 0, -20)
    label1:SetTextColor(1, 0.82, 0)
    label1:SetText(format("%s  %s  %s更新", "|T" .. ZL.LogoPath .. ":12:12:-5|t" .. addonName .. "【|cffffffff金团拍卖助手AA|r】", ZL.updateList[1].updateDate, ZL.updateList[1].updateVer))
    local label2 = UpdateHistoryFrame:CreateFontString(nil, "ARTWORK")
    label2:SetWidth(UpdateHistoryFrame:GetWidth()-40)
    label2:SetFont(GameFontNormal:GetFont(), 15)
    label2:SetPoint("TOPLEFT", label1, "BOTTOMLEFT", 0, -20)
    label2:SetJustifyH("LEFT")
    label2:SetText(ZL.updateList[1].updateContent)
    local btn1 = ZL.CreateButton(nil, UpdateHistoryFrame, "我已了解", "BOTTOM", UpdateHistoryFrame, "BOTTOM", 0, 20, 100, 24, 14, true, 0)
    btn1:Disable()
    btn1:SetScript("OnClick", function ()
        ZL.opt.updateVer = ZL.updateList[1].updateVer
        UpdateHistoryFrame:Hide()
    end)
    local btn2 = ZL.CreateButton(nil, UpdateHistoryFrame, "历史版本", "BOTTOMRIGHT", UpdateHistoryFrame, "BOTTOMRIGHT", -15, 20, 100, 24, 14, true, 0)
    btn2:SetScript("OnClick", function (self)
        local tempList = {}
        for i, data in ipairs(ZL.updateList) do
            if i <= 20 and i > 1 then
                tinsert(tempList, {
                    text = data.updateVer,
                    notClickable = 1,
                    tooltipMore = function (_, _, button)
                        GameTooltipShow(button, "TOPLEFT", "TOPRIGHT")
                        GameTooltip:AddLine(data.updateVer .. "    " .. data.updateDate)
                        GameTooltip:AddLine(data.updateContent, 1, 1, 1, true)
                    end
                })
            end
        end
        if #tempList > 0 then
            ZL.GUI:ToggleMenu(self, tempList, "cursor")
        end
    end)
    local count = 5
    local txt1 = btn1:GetText()
    btn1:SetText(txt1 .. "(" .. count .. ")")
    C_Timer.NewTicker(1, function ()
        if count > 1 then
            count = count - 1
            btn1:SetText(txt1 .. "(" .. count .. ")")
        else
            btn1:SetText(txt1)
            btn1:Enable()
        end
    end, 5)
end
